StandardEmailTemplate

Updates a StandardEmailTemplate.

Updates a StandardEmailTemplate.

PATCH/api/email-layouts/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

StandardEmailTemplate identifier

Request Body

application/json
required

The updated StandardEmailTemplate resource

{
  "identifier": "key1",
  "description": "Invoice for contract <<contract.number>>",
  "body": "<div style=\"padding-bottom: 30px\"> Hi <<customer.firstname>>, <br>\n                          This is a sample HTML-Template to show you, how to use the power of Output.Rocks ;)\n                          </div>",
  "text": "Email text <<customer.firstname>>",
  "active": true,
  "activeFrom": "2024-01-01"
}

Response

200application/json

StandardEmailTemplate resource updated

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier

Example: "key1"

description
string

StandardEmailTemplate description / title. <<>>-Syntax can be used for dynamical generation.

Example: "Invoice for contract <<contract.number>>"

body
string

Email body <<>>-Syntax can be used for dynamical generation.

Example: "<div style=\"padding-bottom: 30px\"> Hi <<customer.firstname>>, <br>\n This is a sample HTML-Template to show you, how to use the power of Output.Rocks ;)\n </div>"

text
string

Email text <<>>-Syntax can be used for dynamical generation.

Example: "Email text <<customer.firstname>>"

createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"